## vdr 2.6.0

=== PLUGINS/src/osddemo/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 4.3 2020/06/22 15:08:46 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = osddemo

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKG_CONFIG ?= pkg-config
PKGCFG = $(if $(VDRDIR),$(shell $(PKG_CONFIG) --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." $(PKG_CONFIG) --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o

### The main target:

all: $(SOFILE)

### Implicit rules:

%.o: %.c
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

$(SOFILE): $(OBJS)
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== debian/changelog ===
vdr (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0 and drop patches fixed upstream
  * Drop debian/compat and update debhleper-compat to 13
  * Remove Thomas Günther and Thomas Schmidt from uploaders

 -- Tobias Grimm <etobi@debian.org>  Tue, 04 Jan 2022 21:55:39 +0100

vdr (2.4.7-2) unstable; urgency=medium

  * Fix integer overflow in free disk space calculation (Closes: #974656)
  * Recommend fonts-dejavu-core | ttf-bitstream-vera (Closes: #998264)

 -- Tobias Grimm <etobi@debian.org>  Wed, 22 Dec 2021 21:36:16 +0100

vdr (2.4.7-1) unstable; urgency=medium

  * Update debian/watch to point to git web interface tag downloads
  * New upstream version 2.4.7
  * Update patches - configurable-pkg-config.patch and glibc-stime.patch are
    fixed upstream
  * Fix FTBS with GCC-11 by backporting fixes from upstreams development branch
    (Closes: #984382)
  * Standards-Version: 4.6.0
  * Change debconf translations (cs and sv) to UTF-8
  * Rename debian/TODO.Debian to debian/TODO

 -- Tobias Grimm <etobi@debian.org>  Sun, 05 Dec 2021 20:49:58 +0100

=== debian/control ===
Source: vdr
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper-compat (= 13), dh-exec (>= 0.3), bash-completion, libjpeg-dev, libcap-dev,
  libncursesw5-dev, libfreetype6-dev, libfontconfig-dev, gettext,
  linux-libc-dev (>= 3.0), libfribidi-dev, libsystemd-dev
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/vdr-team/vdr.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr
Homepage: http://www.tvdr.de/

Package: vdr
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
Recommends: lirc, fonts-dejavu-core | ttf-bitstream-vera
Suggests: vdr-plugin-dvbsddevice
Provides: ${vdr:Provides}
Description: Video Disk Recorder for DVB cards
 Video Disk Recorder (VDR) is a digital sat-receiver program using
 Linux and DVB technologies. It allows one to record MPEG2 streams,
 as well as output the stream to TV. It is also possible to watch DVDs
 (hardware accelerated) with some comfort and use an IR remote control.
 .
 This package contains the VDR main program which is controlled via the
 PC keyboard or a IR remote control.
 .
 NOTE: You should install compatible DVB drivers before using these
 programs. Also the standard VDR (without special plugins) requires
 a DVB-Card with an integrated mpeg-decoder, a so called
 Full-Featured Card.

Package: vdr-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, debhelper, linux-libc-dev (>= 3.0)
Suggests: dh-make, make
Description: Video Disk Recorder plugin development files
 Video Disk Recorder (VDR) is a digital sat-receiver program using
 Linux and DVB technologies. It allows one to record MPEG2 streams,
 as well as output the stream to TV. It is also possible to watch DVDs
 (hardware accelerated) with some comfort and use an IR remote control.
 .
 This package contains the header files of VDR.
 You need this package to be able to build vdr-plugins!

Package: vdr-plugin-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdr (= ${binary:Version})
Replaces: vdr (<< 2.0.1-1)
Breaks: vdr (<< 2.0.1-1)
Enhances: vdr
Description: Plugins for vdr to show some possible features
 Video Disk Recorder (VDR) is a digital sat-receiver program using
 Linux and DVB technologies. It allows one to record MPEG2 streams,
 as well as output the stream to TV.
 .
 This package contains the example-plugins hello, osddemo, svccli,
 svcsvr, skincurses, status and svdrpdemo from the vdr-source.
 These plugins do not have useful features, they only demonstrate
 how vdr-plugins work and what is possible to do with them.

=== debian/watch ===
version=4
opts=downloadurlmangle=s/a=shortlog(.{1})/a=snapshot$1sf=tbz2$1/,filenamemangle=s/.*tags\/(.*)/@PACKAGE@-$1.tar.bz2/ \
http://git.tvdr.de/?p=vdr.git;a=tags .*;h=refs/tags/(\d+\.\d*[02468]\.\d+)
#
# Note - only versions with an even minor number are release versions.
# So 2.3.4 is a development version, bzt 2.4.1 is a release version.
#

## vdr 2.6.9

=== Makefile ===
#
# Makefile for the Video Disk Recorder
#
# See the main source file 'vdr.c' for copyright information and
# how to reach the author.
#
# $Id: Makefile 5.2 2024/01/05 14:16:16 kls Exp $

.DELETE_ON_ERROR:

# Compiler flags:

PKG_CONFIG ?= pkg-config

CC       ?= gcc
CFLAGS   ?= -g -O3 -Wall

CXX      ?= g++
CXXFLAGS ?= -g -O3 -Wall -Werror=overloaded-virtual -Wno-parentheses
CXXFLAGS += $(CPPFLAGS)

CDEFINES  = -D_GNU_SOURCE
CDEFINES += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE

LIBS      = -ljpeg -lpthread -ldl -lcap -lrt $(shell $(PKG_CONFIG) --libs freetype2 fontconfig)
INCLUDES ?= $(shell $(PKG_CONFIG) --cflags freetype2 fontconfig)

# Directories:

CWD       ?= $(shell pwd)
LSIDIR    ?= $(CWD)/libsi
PLUGINDIR ?= $(CWD)/PLUGINS

# Failsafe defaults for "make LCLBLD=1":
ifdef LCLBLD
DESTDIR   ?= $(CWD)
LOCDIR    ?= $(CWD)/locale
HDRDIR    ?= $(CWD)/include
LIBDIR    ?= $(PLUGINDIR)/lib
endif

DESTDIR   ?=
VIDEODIR  ?= /srv/vdr/video
CONFDIR   ?= /var/lib/vdr
ARGSDIR   ?= /etc/vdr/conf.d
CACHEDIR  ?= /var/cache/vdr

PREFIX    ?= /usr/local
BINDIR    ?= $(PREFIX)/bin
INCDIR    ?= $(PREFIX)/include
LIBDIR    ?= $(PREFIX)/lib/vdr
LOCDIR    ?= $(PREFIX)/share/locale
MANDIR    ?= $(PREFIX)/share/man
PCDIR     ?= $(PREFIX)/lib/pkgconfig
RESDIR    ?= $(PREFIX)/share/vdr

# Source documentation

DOXYGEN  ?= /usr/bin/doxygen
DOXYFILE  = Doxyfile

# User configuration

-include Make.config

# Output control

ifdef VERBOSE
Q =
else
Q = @
endif
export Q

# Mandatory compiler flags:

CFLAGS   += -fPIC
CXXFLAGS += -fPIC

# Common include files:

ifdef DVBDIR
CINCLUDES += -I$(DVBDIR)
endif

# Object files

SILIB    = $(LSIDIR)/libsi.a

OBJS = args.o audio.o channels.o ci.o config.o cutter.o device.o diseqc.o dvbdevice.o dvbci.o\
       dvbplayer.o dvbspu.o dvbsubtitle.o eit.o eitscan.o epg.o filter.o font.o i18n.o interface.o keys.o\
       lirc.o menu.o menuitems.o mtd.o nit.o osdbase.o osd.o pat.o player.o plugin.o positioner.o\
       receiver.o recorder.o recording.o remote.o remux.o ringbuffer.o sdt.o sections.o shutdown.o\
       skinclassic.o skinlcars.o skins.o skinsttng.o sourceparams.o sources.o spu.o status.o svdrp.o themes.o thread.o\
       timers.o tools.o transfer.o vdr.o videodir.o

DEFINES  += $(CDEFINES)
INCLUDES += $(CINCLUDES)

ifdef HDRDIR
HDRDIR   := -I$(HDRDIR)
endif
ifndef NO_KBD
DEFINES += -DREMOTE_KBD
endif
ifdef REMOTE
DEFINES += -DREMOTE_$(REMOTE)
endif
ifdef VDR_USER
DEFINES += -DVDR_USER=\"$(VDR_USER)\"
endif
ifdef BIDI
INCLUDES += $(shell $(PKG_CONFIG) --cflags fribidi)
DEFINES += -DBIDI
LIBS += $(shell $(PKG_CONFIG) --libs fribidi)
endif
ifdef SDNOTIFY
INCLUDES += $(shell $(PKG_CONFIG) --silence-errors --cflags libsystemd-daemon || $(PKG_CONFIG) --cflags libsystemd)
DEFINES += -DSDNOTIFY
LIBS += $(shell $(PKG_CONFIG) --silence-errors --libs libsystemd-daemon || $(PKG_CONFIG) --libs libsystemd)
endif

LIRC_DEVICE ?= /var/run/lirc/lircd

DEFINES += -DLIRC_DEVICE=\"$(LIRC_DEVICE)\"
DEFINES += -DVIDEODIR=\"$(VIDEODIR)\"
DEFINES += -DCONFDIR=\"$(CONFDIR)\"
DEFINES += -DARGSDIR=\"$(ARGSDIR)\"
DEFINES += -DCACHEDIR=\"$(CACHEDIR)\"
DEFINES += -DRESDIR=\"$(RESDIR)\"
DEFINES += -DPLUGINDIR=\"$(LIBDIR)\"
DEFINES += -DLOCDIR=\"$(LOCDIR)\"

# The version numbers of VDR and the plugin API (taken from VDR's "config.h"):

VDRVERSION = $(shell sed -ne '/define VDRVERSION/s/^.*"\(.*\)".*$$/\1/p' config.h)
APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' config.h)

all: vdr i18n plugins

# Implicit rules:

%.o: %.c
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

# The main program:

vdr: $(OBJS) $(SILIB)
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) -rdynamic $(LDFLAGS) $(OBJS) $(LIBS) $(SILIB) -o vdr

# The libsi library:

$(SILIB): make-libsi
	@$(MAKE) --no-print-directory -C $(LSIDIR) CXXFLAGS="$(CXXFLAGS)" DEFINES="$(CDEFINES)" all
make-libsi: # empty rule makes sure the sub-make for libsi is always called

# pkg-config file:

.PHONY: vdr.pc
vdr.pc:
	@echo "bindir=$(BINDIR)" > $@
	@echo "mandir=$(MANDIR)" >> $@
	@echo "videodir=$(VIDEODIR)" >> $@
	@echo "configdir=$(CONFDIR)" >> $@
	@echo "argsdir=$(ARGSDIR)" >> $@
	@echo "cachedir=$(CACHEDIR)" >> $@
	@echo "resdir=$(RESDIR)" >> $@
	@echo "libdir=$(LIBDIR)" >> $@
	@echo "locdir=$(LOCDIR)" >> $@
	@echo "plgcfg=$(PLGCFG)" >> $@
	@echo "apiversion=$(APIVERSION)" >> $@
	@echo "cflags=$(CFLAGS) $(CDEFINES) $(CINCLUDES) $(HDRDIR)" >> $@
	@echo "cxxflags=$(CXXFLAGS) $(CDEFINES) $(CINCLUDES) $(HDRDIR)" >> $@
	@echo "" >> $@
	@echo "Name: VDR" >> $@
	@echo "Description: Video Disk Recorder" >> $@
	@echo "URL: http://www.tvdr.de/" >> $@
	@echo "Version: $(VDRVERSION)" >> $@
	@echo "Cflags: \$${cflags}" >> $@

# Internationalization (I18N):

PODIR     = po
LOCALEDIR = locale
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr.mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/vdr.pot

%.mo: %.po
	@echo MO $@
	$(Q)msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	@echo GT $@
	$(Q)xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=VDR --package-version=$(VDRVERSION) --msgid-bugs-address='<vdr-bugs@tvdr.de>' -o $@ `ls $^`

%.po: $(I18Npot)
	@echo PO $@
	$(Q)msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr.mo: $(PODIR)/%.mo
	@echo IN $@
	$(Q)install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmsgs)

install-i18n: i18n
	@mkdir -p $(DESTDIR)$(LOCDIR)
	cp -r $(LOCALEDIR)/* $(DESTDIR)$(LOCDIR)

# The 'include' directory (for plugins):

include-dir:
	@mkdir -p include/vdr
	@(cd include/vdr; for i in ../../*.h; do ln -fs $$i .; done)
	@mkdir -p include/libsi
	@(cd include/libsi; for i in ../../libsi/*.h; do ln -fs $$i .; done)

# Plugins:

plugins: include-dir vdr.pc
	@failed="";\
	noapiv="";\
	oldmakefile="";\
	for i in `ls $(PLUGINDIR)/src | grep -v '[^a-z0-9]'`; do\
	    echo; echo "*** Plugin $$i:";\
	    # No APIVERSION: Skip\
	    if ! grep -q "\$$(LIBDIR)/.*\$$(APIVERSION)" "$(PLUGINDIR)/src/$$i/Makefile" ; then\
	       echo "ERROR: plugin $$i doesn't honor APIVERSION - not compiled!";\
	       noapiv="$$noapiv $$i";\
	       continue;\
	       fi;\
	    # Old Makefile\
	    if ! grep -q "PKGCFG" "$(PLUGINDIR)/src/$$i/Makefile" ; then\
	       echo "WARNING: plugin $$i is using an old Makefile!";\
	       oldmakefile="$$oldmakefile $$i";\
	       $(MAKE) --no-print-directory -C "$(PLUGINDIR)/src/$$i" CFLAGS="$(CFLAGS) $(CDEFINES) $(CINCLUDES)" CXXFLAGS="$(CXXFLAGS) $(CDEFINES) $(CINCLUDES)" LIBDIR="$(PLUGINDIR)/lib" VDRDIR="$(CWD)" all || failed="$$failed $$i";\
	       continue;\
	       fi;\
	    # New Makefile\
	    INCLUDES="-I$(CWD)/include"\
	    $(MAKE) --no-print-directory -C "$(PLUGINDIR)/src/$$i" VDRDIR="$(CWD)" || failed="$$failed $$i";\
	    if [ -n "$(LCLBLD)" ] ; then\
	       (cd $(PLUGINDIR)/src/$$i; for l in `find -name "libvdr-*.so" -o -name "lib$$i-*.so"`; do install -D $$l $(LIBDIR)/`basename $$l`.$(APIVERSION); done);\
	       if [ -d $(PLUGINDIR)/src/$$i/po ]; then\
	          for l in `ls $(PLUGINDIR)/src/$$i/po/*.mo`; do\
	              install -D -m644 $$l $(LOCDIR)/`basename $$l | cut -d. -f1`/LC_MESSAGES/vdr-$$i.mo;\
	              done;\
	          fi;\
	       fi;\
	    done;\
	# Conclusion\
	if [ -n "$$noapiv" ] ; then echo; echo "*** plugins without APIVERSION:$$noapiv"; echo; fi;\
	if [ -n "$$oldmakefile" ] ; then\
	   echo; echo "*** plugins with old Makefile:$$oldmakefile"; echo;\
	   echo "**********************************************************************";\
	   echo "*** While this currently still works, it is strongly recommended";\
	   echo "*** that you convert old Makefiles to the new style used since";\
	   echo "*** VDR version 1.7.36. Support for old style Makefiles may be dropped";\
	   echo "*** in future versions of VDR.";\
	   echo "**********************************************************************";\
	   fi;\
	if [ -n "$$failed" ] ; then echo; echo "*** failed plugins:$$failed"; echo; exit 1; fi

clean-plugins: vdr.pc
	@for i in `ls $(PLUGINDIR)/src | grep -v '[^a-z0-9]'`; do $(MAKE) --no-print-directory -C "$(PLUGINDIR)/src/$$i" VDRDIR="$(CWD)" clean; done
	@-rm -f $(PLUGINDIR)/lib/lib*-*.so.$(APIVERSION)

# Install the files (note that 'install-pc' must be first!):

install: install-pc install-bin install-conf install-doc install-plugins install-i18n install-includes

# VDR binary:

install-bin: vdr
	@mkdir -p $(DESTDIR)$(BINDIR)
	@cp --remove-destination vdr svdrpsend $(DESTDIR)$(BINDIR)

# Configuration files:

install-dirs:
	@mkdir -p $(DESTDIR)$(VIDEODIR)
	@mkdir -p $(DESTDIR)$(CONFDIR)
	@mkdir -p $(DESTDIR)$(ARGSDIR)
	@mkdir -p $(DESTDIR)$(CACHEDIR)
	@mkdir -p $(DESTDIR)$(RESDIR)

install-conf: install-dirs
	# 'cp -n' may be broken, so let's do it the hard way
	@for i in *.conf; do\
	     if ! [ -e $(DESTDIR)$(CONFDIR)/$$i ] ; then\
	        cp -p $$i $(DESTDIR)$(CONFDIR);\
	        fi\
	     done

# Documentation:

install-doc:
	@mkdir -p $(DESTDIR)$(MANDIR)/man1
	@mkdir -p $(DESTDIR)$(MANDIR)/man5
	@gzip -c vdr.1 > $(DESTDIR)$(MANDIR)/man1/vdr.1.gz
	@gzip -c vdr.5 > $(DESTDIR)$(MANDIR)/man5/vdr.5.gz
	@gzip -c svdrpsend.1 > $(DESTDIR)$(MANDIR)/man1/svdrpsend.1.gz

# Plugins:

install-plugins: plugins
	@-for i in `ls $(PLUGINDIR)/src | grep -v '[^a-z0-9]'`; do\
	      $(MAKE) --no-print-directory -C "$(PLUGINDIR)/src/$$i" VDRDIR=$(CWD) DESTDIR=$(DESTDIR) install;\
	      done
	@if [ -d $(PLUGINDIR)/lib ] ; then\
	    for i in `find $(PLUGINDIR)/lib -name 'lib*-*.so.$(APIVERSION)'`; do\
	        install -D $$i $(DESTDIR)$(LIBDIR);\
	        done;\
	    fi

# Includes:

install-includes: include-dir
	@mkdir -p $(DESTDIR)$(INCDIR)
	@cp -pLR include/vdr include/libsi $(DESTDIR)$(INCDIR)

# pkg-config file:

install-pc: vdr.pc
	if [ -n "$(PCDIR)" ] ; then\
	   mkdir -p $(DESTDIR)$(PCDIR) ;\
	   cp vdr.pc $(DESTDIR)$(PCDIR) ;\
	   fi

# Source documentation:

srcdoc:
	@cat $(DOXYFILE) > $(DOXYFILE).tmp
	@echo PROJECT_NUMBER = $(VDRVERSION) >> $(DOXYFILE).tmp
	@chmod +x $(DOXYFILE).filter
	$(DOXYGEN) $(DOXYFILE).tmp
	@rm $(DOXYFILE).tmp

# Housekeeping:

clean:
	@$(MAKE) --no-print-directory -C $(LSIDIR) clean
	@-rm -f $(OBJS) $(DEPFILE) vdr vdr.pc core* *~
	@-rm -rf $(LOCALEDIR) $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -rf include
	@-rm -rf srcdoc
CLEAN: clean
distclean: clean-plugins clean

=== libsi/Makefile ===
#
# Makefile for a libsi
#
# $Id: Makefile 4.3 2020/06/22 14:31:10 kls Exp $

### The archiver options:

AR       ?= ar
ARFLAGS  ?= ru
RANLIB   ?= ranlib

-include ../Make.config

# Output control

ifdef VERBOSE
Q =
else
Q = @
endif
export Q

### The object files (add further files here):

OBJS = util.o si.o section.o descriptor.o

### Implicit rules:

%.o: %.c
	@echo CC libsi/$@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

all: libsi.a
	@:

libsi.a : $(OBJS)
	@echo AR libsi/$@
	$(Q)$(AR) $(ARFLAGS) $@ $(OBJS)

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.a *.so *.tgz core* *~

dist:
	tar cvzf libsi.tar.gz -C .. libsi/util.c libsi/si.c libsi/section.c libsi/descriptor.c \
   libsi/util.h libsi/si.h libsi/section.h libsi/descriptor.h libsi/headers.h libsi/Makefile libsi/gendescr

=== PLUGINS/src/epgtableid0/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 4.3 2020/06/22 15:08:46 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = epgtableid0

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKG_CONFIG ?= pkg-config
PKGCFG = $(if $(VDRDIR),$(shell $(PKG_CONFIG) --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." $(PKG_CONFIG) --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o

### The main target:

all: $(SOFILE)

### Implicit rules:

%.o: %.c
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

$(SOFILE): $(OBJS)
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== PLUGINS/src/pictures/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 4.3 2020/06/22 15:08:46 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = pictures

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKG_CONFIG ?= pkg-config
PKGCFG = $(if $(VDRDIR),$(shell $(PKG_CONFIG) --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." $(PKG_CONFIG) --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o entry.o menu.o player.o

### The main target:

all: $(SOFILE) i18n

### Implicit rules:

%.o: %.c
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	@echo MO $@
	$(Q)msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	@echo GT $@
	$(Q)xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`

%.po: $(I18Npot)
	@echo PO $@
	$(Q)msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(OBJS)
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== PLUGINS/src/skincurses/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 4.3 2020/06/22 15:08:46 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = skincurses

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKG_CONFIG ?= pkg-config
PKGCFG = $(if $(VDRDIR),$(shell $(PKG_CONFIG) --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." $(PKG_CONFIG) --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o

### The main target:

all: $(SOFILE) i18n

### Implicit rules:

%.o: %.c
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	@echo MO $@
	$(Q)msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	@echo GT $@
	$(Q)xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`

%.po: $(I18Npot)
	@echo PO $@
	$(Q)msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(OBJS)
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -lncursesw -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== PLUGINS/src/status/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 4.3 2020/06/22 15:08:46 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = status

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKG_CONFIG ?= pkg-config
PKGCFG = $(if $(VDRDIR),$(shell $(PKG_CONFIG) --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." $(PKG_CONFIG) --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o

### The main target:

all: $(SOFILE)

### Implicit rules:

%.o: %.c
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

$(SOFILE): $(OBJS)
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== debian/changelog ===
vdr (2.6.9-3) unstable; urgency=medium

  * unstable rebuild
  * update Swedish debconf translation (closes: #1011328)
  * include Romanian debconf translation (closes: #1033762)

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 04 Feb 2025 18:37:01 +0100

vdr (2.6.9-2) experimental; urgency=medium

  * Strip newline in abi-version (closes: #1026310)
  * remove "Multi-Arch: same" from vdr-dev
  * restore original .po files for clean target

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 29 Jan 2025 21:38:29 +0100

vdr (2.6.9-1) experimental; urgency=medium

  * New upstream version 2.6.9
  * remove depends on obsolete package lsb-base
  * fix build-depends on obsolete libfreetype6-dev and libncursesw5-dev
  * fix vdr-plugin-examples.lintian-overrides
  * use https in watch file
  * add myself as uploader

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 28 Jan 2025 23:39:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Tobias Grimm <etobi@debian.org>
+Uploaders: Tobias Grimm <etobi@debian.org>,
+  Christoph Martin <martin@uni-mainz.de>
 Build-Depends: debhelper-compat (= 13), dh-exec (>= 0.3), bash-completion, libjpeg-dev, libcap-dev,
-  libncursesw5-dev, libfreetype6-dev, libfontconfig-dev, gettext,
+  libncurses-dev, libfreetype-dev, libfontconfig-dev, gettext,
   linux-libc-dev (>= 3.0), libfribidi-dev, libsystemd-dev
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr.git
@@ -14,7 +15,7 @@
 Package: vdr
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Recommends: lirc, fonts-dejavu-core | ttf-bitstream-vera
 Suggests: vdr-plugin-dvbsddevice
 Provides: ${vdr:Provides}
@@ -34,7 +35,6 @@
 
 Package: vdr-dev
 Architecture: any
-Multi-Arch: same
 Depends: ${misc:Depends}, debhelper, linux-libc-dev (>= 3.0)
 Suggests: dh-make, make
 Description: Video Disk Recorder plugin development files

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

-include /usr/share/dpkg/buildtools.mk

PREFIX = /usr
VIDEODIR = /var/lib/video
LIBDIR = /usr/lib/vdr/plugins
MAKE_OPTIONS = PREFIX=$(PREFIX) VIDEODIR=$(VIDEODIR) LIBDIR=$(LIBDIR) SDNOTIFY=1 VERBOSE=1

%:
	dh $@ --with bash-completion

override_dh_auto_build:
	cp -a po po.sav
	dh_auto_build -- $(MAKE_OPTIONS)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o debian/vdr-shutdown.wrapper debian/vdr-shutdown-wrapper.c
	for file in $$(ls debian/dh-addon-vdrplugin/dh_*); do \
		pod2man --section=1 --utf8 $$file $$file.1; \
	done

override_dh_auto_clean:
	dh_auto_clean --no-parallel
	rm -f debian/vdr-shutdown.wrapper
	rm -f debian/dh-addon-vdrplugin/*.1
	-cp -a po.sav/* po/
	-rm -r po.sav

override_dh_missing:
	dh_missing --fail-missing -Xlibvdr-epgtableid0.so

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTIONS)
	mv debian/tmp/var/lib/vdr/channels.conf debian/tmp/var/lib/vdr/channels.conf.sat

override_dh_install:
	dh_install
	install -D -m 755 newplugin debian/vdr-dev/usr/bin/vdr-newplugin
	echo -n "vdr:Provides=" >> debian/vdr.substvars
	cat debian/abi-version >> debian/vdr.substvars
	for example in hello osddemo pictures servicedemo skincurses status svdrpdemo; do \
	    install -D PLUGINS/src/$$example/README debian/vdr-plugin-examples/usr/share/doc/vdr-plugin-examples/README.$$example; \
	done
	DH_AUTOSCRIPTDIR=debian/dh-addon-vdrplugin debian/dh-addon-vdrplugin/dh_vdrplugin_enable

override_dh_installinit:
	dh_installinit --error-handler true

override_dh_installchangelogs:
	dh_installchangelogs -pvdr HISTORY
	dh_installchangelogs -pvdr-plugin-examples
	dh_installchangelogs

=== debian/watch ===
version=4
opts=downloadurlmangle=s/a=shortlog(.{1})/a=snapshot$1sf=tbz2$1/,filenamemangle=s/.*tags\/(.*)/@PACKAGE@-$1.tar.bz2/ \
https://git.tvdr.de/?p=vdr.git;a=tags .*;h=refs/tags/(\d+\.\d*[02468]\.\d+)
#
# Note - only versions with an even minor number are release versions.
# So 2.3.4 is a development version, bzt 2.4.1 is a release version.
#
